attribute vec3 position;
attribute vec3 normal;
attribute vec2 uv;

varying vec3 normalVarying;
varying vec3 posVarying;

uniform mat4 agk_WorldViewProj; 
uniform vec4 uvBounds0;
uniform vec4 uvBounds1;

uniform vec2 ScaleDetailMap;


uniform mat4 agk_World;
uniform mat4 agk_ViewProj;
uniform mat3 agk_WorldNormal;

varying vec2 uv0Varying;
varying vec2 uv1Varying;
 
void main()
{

	vec4 pos = agk_World * vec4(position,1);
	gl_Position = agk_ViewProj * pos;
	vec3 norm = agk_WorldNormal * normal;
	posVarying = pos.xyz;
	normalVarying = norm;

  gl_Position = agk_WorldViewProj * vec4(position,1);
  uv0Varying = uv * uvBounds0.xy + uvBounds0.zw;
  uv1Varying = uv * (uvBounds1.xy+(1.0/ScaleDetailMap)) + uvBounds1.zw;  

}